For Developers
Get School Calendar Day Incident
This model is part of the v2.5 API update which is currently in beta and therefore subject to change.
GET https://ed.link/api/v2/graph/school_calendar_day_incidents/:school_calendar_day_incident_id
Retrieve information about a specific School Calendar Day Incident.
Request Parameters
| Parameter | Location | Type | Description |
|---|---|---|---|
school_calendar_day_incident_id | url | string | The UUID of the desired School Calendar Day Incident. |
Sample Request
axios.get('https://ed.link/api/v2/graph/school_calendar_day_incidents/00000000-0000-0000-0000-000000000000', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": {
"id": "00000000-0000-0000-0000-000000000000",
"created_date": "2021-07-05T20:32:40.454Z",
"updated_date": "2021-07-12T21:44:23.126Z",
"school_calendar_day_id": "00000000-0000-0000-0000-000000000001",
"calendar_day_incident_id": "00000000-0000-0000-0000-000000000002"
},
"$request": "00000000-0000-0000-0000-000000000000"
}